MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025028Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-06-23 16:132014-11-11 12:58
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025028: BRepAlgo::ConcatenateWire raises an exception
DescriptionCall of the method BRepAlgo::ConcatenateWire leads to exception:
u1 == u2 when trying to create a trimmed curve using the attached shape.
It is expected that if nothing to do / or not apploicable the method would returned the input wire as is.
Steps To Reproduce> pload ALL
> restore profile.brep s
> checkshape s
> whatis s
> concatwire r s
An exception was caught 6033D380 : Standard_ConstructionError: Geom_TrimmedCurve::U1 == U2
** Exception ** 6033D380 : Standard_ConstructionError: Geom_TrimmedCurve::U1 == U2
Additional information
and documentation updates
Fix description:
 Correct treatment of wires consisting of one edge was added.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25028
Attached Files? file icon profile.brep (5,607 bytes) 2014-06-23 16:13

- Relationships

-  Notes
(0030038)
ifv (developer)
2014-07-09 16:44

Branch CR25028 is ready...
(0030060)
jgv (developer)
2014-07-10 14:31

Ok.
(0030137)
git (administrator)
2014-07-14 18:07

Branch CR25028 has been updated by mkv.

SHA-1: 705b8d4de290ccecd1a0555f8bf3c2baf928e543
(0030140)
mkv (tester)
2014-07-14 18:48

Dear BugMaster,

Branch CR25028 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 8003bff62ca8adc269250260e448e3de0c6f6be4

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25028-master-occt/Debian60-64/bugs/modalg_5/bug25028.html [^]
http://occt-tests/CR25028-master-occt/Windows-32-VC9/bugs/modalg_5/bug25028.html [^]
bugs modalg_5(010) bug25028: OK

Testing on Linux:
Total MEMORY difference: 352846656 / 352298144
Total CPU difference: 55293.410000000105 / 54524.60999999987

Testing on Windows:
Total MEMORY difference: 377791456 / 378502168
Total CPU difference: 44020.125 / 46775.625

There are no differences in images found by testdiff.
(0030312)
git (administrator)
2014-07-22 15:57

Branch CR25028 has been deleted by inv.

SHA-1: 705b8d4de290ccecd1a0555f8bf3c2baf928e543
(0032202)
ifv (developer)
2014-09-26 10:39

Fix description:
Correct treatment of wires consisting of one edge was adde.

- Related Changesets
occt: master 0272e740
Timestamp: 2014-07-17 07:26:23
Author: ifv
Committer: bugmaster
Details ] Diff ]
0025028: BRepAlgo::ConcatenateWire raises an exception

Test case for issue CR25028
mod - src/BRepAlgo/BRepAlgo.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25028 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-23 16:13 szy New Issue
2014-06-23 16:13 szy Assigned To => ifv
2014-06-23 16:13 szy File Added: profile.brep
2014-07-09 16:42 ifv Status new => assigned
2014-07-09 16:44 ifv Note Added: 0030038
2014-07-09 16:44 ifv Assigned To ifv => jgv
2014-07-09 16:44 ifv Status assigned => resolved
2014-07-10 14:31 jgv Note Added: 0030060
2014-07-10 14:31 jgv Status resolved => reviewed
2014-07-10 15:06 mkv Assigned To jgv => mkv
2014-07-14 18:07 git Note Added: 0030137
2014-07-14 18:48 mkv Note Added: 0030140
2014-07-14 18:49 mkv Test case number => bugs modalg_5(010) bug25028
2014-07-14 18:49 mkv Assigned To mkv => bugmaster
2014-07-14 18:49 mkv Status reviewed => tested
2014-07-22 15:13 bugmaster Changeset attached => occt master 0272e740
2014-07-22 15:13 bugmaster Status tested => verified
2014-07-22 15:13 bugmaster Resolution open => fixed
2014-07-22 15:57 git Note Added: 0030312
2014-09-26 10:39 ifv Note Added: 0032202
2014-09-26 14:45 ifv Additional Information Updated View Revisions
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker